Page MenuHomeFreeBSD

net-im/py-slixmpp: Add missing RUN_DEPENDS and fix some other issues
ClosedPublic

Authored by 0mp on Dec 29 2018, 8:18 PM.

Details

Summary

Changes:

  • Switch MASTER_SITES to CHEESESHOP as it ought to be the default for Python software.
  • Adjust COMMENT to match the short description from setup.py.
  • Add missing RUN_DEPENDS.
  • Standardize test invocation.
  • Update WWW to point to project's homepage instead of the Git repository.

Thanks to @koobs for reviewing my commit and telling me how I can improve. :)

Test Plan
  • portlint
  • poudriere testport 11.2 on amd64 with the test suite

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Dec 29 2018, 8:18 PM
koobs accepted this revision.Dec 30 2018, 2:00 AM

Reviewed_by: koobs
Approved by: koobs

net-im/py-slixmpp/Makefile
23 ↗(On Diff #52403)

The pkgconfig bit may not be necessary, I just wanted to mention it in review email in case it was relevant. pkg-config is one of those mechanisms that is often attempted/autodetected in build systems, so builds can be non deterministic if ports logic is not bang on.

There's plenty of systems that have pkg-config installed when building ports, unrelated to the port build in question. Clean-room environments like poudriere wont pick this up without specific testing.

One thing you can try is to unconditionally add the dependency on pkg-config and see if/how the build/package changes with/without it installed.

This revision is now accepted and ready to land.Dec 30 2018, 2:00 AM
krion accepted this revision.Dec 30 2018, 1:36 PM
This revision was automatically updated to reflect the committed changes.
0mp marked an inline comment as done.Jan 8 2019, 1:32 PM
0mp added inline comments.
net-im/py-slixmpp/Makefile
23 ↗(On Diff #52403)

I left pkgconfig there. Upstream requires it for building, however the package builds just fine without it. I'll leave it here for the time being.